package com.chenyang.nse.bussiness.tools.engine.mapplet;

import java.io.Serializable;

public class PortInfo implements Serializable {
   private static final long serialVersionUID = 1L;
   private String name;
   private String datatype;
   private String precision;
   private String scale;
   private String porttype;
   private String expression;
   private String prePort;
   private String nextPort;
   private String preTransformationType;
   private String preTransformationName;
   private String nextTransformationType;
   private String nextTransformationName;
   private String assignedFlag = "0";
   private Object value;
   private Integer seed;
   private String maskingOption;
   private SubstitutionInfo substitutionInfo;
   private RandomStrInfo randomStrInfo;
   private RandomNumInfo randomNumInfo;
   private KeyStrInfo keyStrInfo;

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getDatatype() {
      return this.datatype;
   }

   public void setDatatype(String datatype) {
      this.datatype = datatype;
   }

   public String getPrecision() {
      return this.precision;
   }

   public void setPrecision(String precision) {
      this.precision = precision;
   }

   public String getScale() {
      return this.scale;
   }

   public void setScale(String scale) {
      this.scale = scale;
   }

   public String getPorttype() {
      return this.porttype;
   }

   public void setPorttype(String porttype) {
      this.porttype = porttype;
   }

   public String getExpression() {
      return this.expression;
   }

   public void setExpression(String expression) {
      this.expression = expression;
   }

   public String getPrePort() {
      return this.prePort;
   }

   public void setPrePort(String prePort) {
      this.prePort = prePort;
   }

   public String getNextPort() {
      return this.nextPort;
   }

   public void setNextPort(String nextPort) {
      this.nextPort = nextPort;
   }

   public String getPreTransformationType() {
      return this.preTransformationType;
   }

   public void setPreTransformationType(String preTransformationType) {
      this.preTransformationType = preTransformationType;
   }

   public String getPreTransformationName() {
      return this.preTransformationName;
   }

   public void setPreTransformationName(String preTransformationName) {
      this.preTransformationName = preTransformationName;
   }

   public String getNextTransformationType() {
      return this.nextTransformationType;
   }

   public void setNextTransformationType(String nextTransformationType) {
      this.nextTransformationType = nextTransformationType;
   }

   public String getNextTransformationName() {
      return this.nextTransformationName;
   }

   public void setNextTransformationName(String nextTransformationName) {
      this.nextTransformationName = nextTransformationName;
   }

   public Object getValue() {
      return this.value;
   }

   public void setValue(Object value) {
      this.value = value;
   }

   public String getAssignedFlag() {
      return this.assignedFlag;
   }

   public void setAssignedFlag(String assignedFlag) {
      this.assignedFlag = assignedFlag;
   }

   public Integer getSeed() {
      return this.seed;
   }

   public void setSeed(Integer seed) {
      this.seed = seed;
   }

   public String getMaskingOption() {
      return this.maskingOption;
   }

   public void setMaskingOption(String maskingOption) {
      this.maskingOption = maskingOption;
   }

   public SubstitutionInfo getSubstitutionInfo() {
      return this.substitutionInfo;
   }

   public void setSubstitutionInfo(SubstitutionInfo substitutionInfo) {
      this.substitutionInfo = substitutionInfo;
   }

   public RandomStrInfo getRandomStrInfo() {
      return this.randomStrInfo;
   }

   public void setRandomStrInfo(RandomStrInfo randomStrInfo) {
      this.randomStrInfo = randomStrInfo;
   }

   public RandomNumInfo getRandomNumInfo() {
      return this.randomNumInfo;
   }

   public void setRandomNumInfo(RandomNumInfo randomNumInfo) {
      this.randomNumInfo = randomNumInfo;
   }

   public KeyStrInfo getKeyStrInfo() {
      return this.keyStrInfo;
   }

   public void setKeyStrInfo(KeyStrInfo keyStrInfo) {
      this.keyStrInfo = keyStrInfo;
   }

   public static long getSerialversionuid() {
      return 1L;
   }
}
